=== debian/changelog ===
routino (1.5.1-1) unstable; urgency=low

  * Initial release (Closes: #608150).

 -- Thibaut Gridel <tgridel@free.fr>  Wed, 15 Dec 2010 20:53:09 +0100
