=== debian/control ===
Source: routino
Section: misc
Priority: extra
Maintainer: Thibaut Gridel <tgridel@free.fr>
Build-Depends: debhelper (>= 7.0.50~), flex
Standards-Version: 3.9.1
Homepage: http://www.routino.org/
Vcs-Git: git://git.debian.org/pkg-grass/routino.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
 

Package: routino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of tools to find a path between two points.
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
