=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/src/RCS/Makefile,v 1.43 2010/11/13 14:22:28 amb Exp $
-#
 # Source code Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2008-2010 Andrew M. Bishop
+# This file Copyright 2008-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -33,35 +31,37 @@
 
 # Compilation program options
 
-CFLAGS=-Wall -Wmissing-prototypes
-#CFLAGS+= -Wextra -pedantic -std=c99
+CFLAGS=-Wall -Wmissing-prototypes -std=c99
+#CFLAGS+=-Wextra -pedantic
 LDFLAGS=-lm -lc
 
-CFLAGS+= -O3
-#CFLAGS+= -O0 -g
-#CFLAGS+= -pg
-#CFLAGS+= --coverage
+CFLAGS+=-O3
+#CFLAGS+=-O0 -g
+#CFLAGS+=-pg
+#CFLAGS+=-fprofile-arcs -ftest-coverage
 
 LDFLAGS+=
-#LDFLAGS+= -pg -static
-#LDFLAGS+= --coverage
+#LDFLAGS+=-pg -static
+#LDFLAGS+=-fprofile-arcs -ftest-coverage
 
 LEXFLAGS=
 
 # Required to use stdio with files > 2GiB on 32-bit system.
-
-FLAGS64=-D_FILE_OFFSET_BITS=64
+CFLAGS+=-D_FILE_OFFSET_BITS=64
+
+# Required to compile on Linux without a warning about pread() and pwrite() functions.
+CFLAGS+=-D_POSIX_C_SOURCE=200809L
 
 # Compilation targets
 
 C=$(wildcard *.c)
-D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))
+D=$(wildcard .deps/*.d)
 
 EXE=planetsplitter planetsplitter-slim router router-slim filedumper filedumper-slim tagmodifier
 
 ########
 
-all : $(EXE)
+all: $(EXE)
 	-@[ -d $(WEBDIR) ] && \
 	  for file in $(EXE); do \
 	     if [ ! -f $(WEBDIR)/$$file ] || [ $$file -nt $(WEBDIR)/$$file ]; then \
@@ -69,7 +69,8 @@
 	        cp -f $$file $(WEBDIR) ;\
 	     fi ;\
 	  done
-	@cd xml && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	@cd xml  && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	@cd test && $(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 ########
 
@@ -80,7 +81,7 @@
 	           results.o queue.o sorting.o \
 	           xmlparse.o tagging.o osmparser.o
 
-planetsplitter : $(PLANETSPLITTER_OBJ)
+planetsplitter : $(PLANETSPLITTER_OBJ) .deps
 	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)
 
 ########
@@ -98,7 +99,7 @@
 ########
 
 ROUTER_OBJ=router.o \
-	   nodes.o segments.o ways.o types.o fakes.o \
+	   nodes.o segments.o ways.o relations.o types.o fakes.o \
 	   optimiser.o output.o \
 	   files.o logging.o profiles.o xmlparse.o \
 	   results.o queue.o translations.o
@@ -109,7 +110,7 @@
 ########
 
 ROUTER_SLIM_OBJ=router-slim.o \
-	        nodes-slim.o segments-slim.o ways-slim.o types.o fakes.o \
+	        nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
 	        optimiser-slim.o output-slim.o \
 	        files.o logging.o profiles.o xmlparse.o \
 	        results.o queue.o translations.o
@@ -120,7 +121,7 @@
 ########
 
 FILEDUMPER_OBJ=filedumper.o \
-	       nodes.o segments.o ways.o types.o \
+	       nodes.o segments.o ways.o relations.o types.o fakes.o \
                visualiser.o \
 	       files.o logging.o xmlparse.o
 
@@ -130,7 +131,7 @@
 ########
 
 FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
-	       nodes-slim.o segments-slim.o ways-slim.o types.o \
+	       nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
                visualiser-slim.o \
 	       files.o logging.o xmlparse.o
 
@@ -155,11 +156,17 @@
 
 ########
 
-%.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
-
-%-slim.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
+%.o : %.c .deps
+	$(CC) -c $(CFLAGS) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
+
+%-slim.o : %.c .deps
+	$(CC) -c $(CFLAGS) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
+
+########
+
+test: .FORCE
+	cd xml  && $(MAKE) test
+	cd test && $(MAKE) test
 
 ########
 
@@ -176,8 +183,10 @@
 clean:
 	rm -f *.o
 	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 	rm -f xmlparse.c
-	cd xml && $(MAKE) clean
+	cd xml  && $(MAKE) clean
+	cd test && $(MAKE) clean
 
 ########
 
@@ -186,21 +195,19 @@
 	-rm -f $(EXE)
 	-rm -f $(D)
 	-rm -fr .deps
-	cd xml && $(MAKE) distclean
-
-########
-
-.deps : .FORCE
+	cd xml  && $(MAKE) distclean
+	cd test && $(MAKE) distclean
+
+########
+
+.deps: .FORCE
 	@[ -d .deps ] || mkdir $@
 
-$(D) : .deps
-	@touch $@
-
 include $(D)
 
 ########
 
-.FORCE :
+.FORCE:
 
 ########
