=== src/xml/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/src/xml/RCS/Makefile,v 1.10 2010/07/07 17:26:24 amb Exp $
-#
 # XML test programs Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010 Andrew M. Bishop
+# This file Copyright 2010-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -27,12 +25,14 @@
 
 # Program options
 
-CFLAGS=-Wall -Wmissing-prototypes -O0 -g
+CFLAGS=-Wall -Wmissing-prototypes -std=c99
+#CFLAGS+=-Wextra -pedantic
 LDFLAGS=-lm -lc
 
+CFLAGS+=-O3
+
 # Required to use stdio with files > 2GiB on 32-bit system.
-
-FLAGS64=-D_FILE_OFFSET_BITS=64
+CFLAGS+=-D_FILE_OFFSET_BITS=64
 
 # Compilation targets
 
@@ -40,7 +40,7 @@
 
 X=$(notdir $(wildcard $(XMLDIR)/*.xsd))
 C=$(foreach f,$(X),$(addsuffix -skeleton.c,$(basename $f)))
-D=$(foreach f,$(C),$(addprefix .deps/,$(addsuffix .d,$(basename $f))))
+D=$(wildcard .deps/*.d)
 O=$(foreach f,$(C),$(addsuffix .o,$(basename $f)))
 E=$(foreach f,$(C),$(basename $f))
 
@@ -48,7 +48,7 @@
 
 ########
 
-all : $(EXE) $(C) $(E)
+all: $(EXE) $(C) $(E)
 	@true
 
 ########
@@ -77,8 +77,8 @@
 
 ########
 
-%.o : %.c
-	$(CC) -c $(CFLAGS) $(FLAGS64) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $<)))
+%.o : %.c .deps
+	$(CC) -c $(CFLAGS) -I.. $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
 ########
 
@@ -106,9 +106,14 @@
 
 ########
 
+install:
+
+########
+
 clean:
 	rm -f *.o
 	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########
 
@@ -121,14 +126,11 @@
 
 ########
 
-.deps : .FORCE
+.deps: .FORCE
 	@[ -d .deps ] || mkdir $@
-
-$(D) : .deps
-	@touch $@
 
 include $(D)
 
 ########
 
-.FORCE :
+.FORCE:
