=== debian/changelog ===
routino (2.1.2-3) unstable; urgency=low

  * do not use option --with-quilt for dh anymore (Closes: #649723)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 24 Nov 2011 09:11:41 +0100

routino (2.1.2-2) unstable; urgency=low

  * patch map bounds in data visualizer
  * added option --with quilt when calling 'dh $@'

 -- Uwe Steinmann <steinm@debian.org>  Wed, 23 Nov 2011 12:35:57 +0100

routino (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Added myself as uploader
  * New package containing the web frontend of routino

 -- Uwe Steinmann <steinm@debian.org>  Mon, 21 Nov 2011 09:59:26 +0100

routino (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #643800).
  * Fixing Tests (see patch).
  * Not installing INSTALL.txt (see patch).
  * Bumping Standards version (no impact).

 -- Thibaut Gridel <tgridel@free.fr>  Wed, 26 Oct 2011 19:23:41 +0200
