=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: extra
 Maintainer: Thibaut Gridel <tgridel@free.fr>
+Uploaders: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), flex
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.routino.org/
 Vcs-Git: git://git.debian.org/pkg-grass/routino.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
@@ -16,3 +17,13 @@
  Routino is an application for finding a route between two points
  using the dataset of topographical information collected by
  OpenStreetMap
+
+Package: routino-www
+Architecture: all
+Depends: libjs-openlayers, routino, ${misc:Depends}
+Description: Web frontend for routino
+ Routino is an application for finding a route between two points
+ using the dataset of topographical information collected by
+ OpenStreetMap
+ .
+ This is the web frontend to the router.
