## routino 2.2

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2008-2011 Andrew M. Bishop
+# This file Copyright 2008-2012 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -75,19 +75,19 @@
 ########
 
 PLANETSPLITTER_OBJ=planetsplitter.o \
-	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o \
+	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o prunex.o \
 	           ways.o types.o \
 	           files.o logging.o \
 	           results.o queue.o sorting.o \
 	           xmlparse.o tagging.o osmparser.o
 
-planetsplitter : $(PLANETSPLITTER_OBJ) .deps
+planetsplitter : $(PLANETSPLITTER_OBJ)
 	$(LD) $(PLANETSPLITTER_OBJ) -o $@ $(LDFLAGS)
 
 ########
 
 PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
-	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o \
+	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o prunex-slim.o \
 	                ways.o types.o \
 	                files.o logging.o \
 	                results.o queue.o sorting.o \
@@ -156,15 +156,17 @@
 
 ########
 
-%.o : %.c .deps
+%.o : %.c
+	@[ -d .deps ] || mkdir .deps
 	$(CC) -c $(CFLAGS) -DSLIM=0 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
-%-slim.o : %.c .deps
+%-slim.o : %.c
+	@[ -d .deps ] || mkdir .deps
 	$(CC) -c $(CFLAGS) -DSLIM=1 -DDATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix .deps/,$(addsuffix .d,$(basename $@)))
 
 ########
 
-test: .FORCE
+test:
 	cd xml  && $(MAKE) test
 	cd test && $(MAKE) test
 
@@ -200,14 +202,7 @@
 
 ########
 
-.deps: .FORCE
-	@[ -d .deps ] || mkdir $@
-
 include $(D)
-
-########
-
-.FORCE:
 
 ########
