=== debian/changelog ===
routino (2.2-4) unstable; urgency=low

  * routino-www: added OSM CycleMap to list of layers

 -- Uwe Steinmann <steinm@debian.org>  Wed, 9 May 2012 8:28:25 +0200

routino (2.2-3) unstable; urgency=low

  * added missing dependency on apache2

 -- Uwe Steinmann <steinm@debian.org>  Tue, 8 May 2012 18:00:54 +0200

routino (2.2-2) unstable; urgency=low

  * added dependency on javascript-common

 -- Uwe Steinmann <steinm@debian.org>  Mon, 23 Apr 2012 8:32:41 +0200

routino (2.2-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Wed, 7 Mar 2012 11:13:07 +0100
