=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: routino-www
 Architecture: all
-Depends: libjs-openlayers, routino, ${misc:Depends}
+Depends: apache2, libjs-openlayers, javascript-common, routino, ${misc:Depends}
 Description: Web frontend for routino
  Routino is an application for finding a route between two points
  using the dataset of topographical information collected by
