## routino 2.4.1

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 ########
 
-test$(top): .FORCE
+test$(top):
 	for dir in $(TOPDIRS); do \
 	   ( cd $$dir && $(MAKE) $@ ); \
 	done
@@ -68,4 +68,6 @@
 
 ########
 
-.FORCE:
+.PHONY:: all$(top) test$(top) install$(top) clean$(top) distclean$(top)
+
+.PHONY:: all test install clean distclean
