=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-# $Header: /home/amb/routino/doc/RCS/Makefile,v 1.4 2010/09/05 18:27:07 amb Exp $
-#
 # Documentation directory Makefile
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010 Andrew M. Bishop
+# This file Copyright 2010-2011 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -28,10 +26,11 @@
 
 HTML_FILES=html/*
 TXT_FILES=*.txt
+TOP_FILES=../agpl-3.0.txt
 
 ########
 
-all :
+all:
 	-@[ -d $(WEBDIR) ] && \
 	  for file in $(HTML_FILES); do \
 	     if [ ! -f $(WEBDIR)/`basename $$file` ] || [ $$file -nt $(WEBDIR)/`basename $$file` ]; then \
@@ -42,8 +41,17 @@
 
 ########
 
+test:
+
+########
+
 install: all
 	-[ -d $(DESTDIR)$(docdir) ] || mkdir -p $(DESTDIR)$(docdir)
+	@[ -d $(DESTDIR)$(docdir) ] && \
+	  for file in $(TOP_FILES); do \
+	     echo cp $$file $(DESTDIR)$(docdir) ;\
+	     cp -f $$file $(DESTDIR)$(docdir) ;\
+	  done
 	@[ -d $(DESTDIR)$(docdir) ] && \
 	  for file in $(TXT_FILES); do \
 	     echo cp $$file $(DESTDIR)$(docdir) ;\
