=== src/Makefile ===
--- 
+++ 
@@ -33,19 +33,22 @@
 
 CFLAGS=-Wall -Wmissing-prototypes -std=c99
 #CFLAGS+=-Wextra -pedantic
-LDFLAGS=-lm -lc
+LDFLAGS=-lm
 
 CFLAGS+=-O3
 #CFLAGS+=-O0 -g
 #CFLAGS+=-pg
 #CFLAGS+=-fprofile-arcs -ftest-coverage
 
-LDFLAGS+=
 #LDFLAGS+=-pg -static
 #LDFLAGS+=-fprofile-arcs -ftest-coverage
 
 LEXFLAGS=
 
+# Required for multi-threaded support
+CFLAGS+=-pthread -DUSE_PTHREADS
+LDFLAGS+=-pthread -lpthread
+
 # Required to use stdio with files > 2GiB on 32-bit system.
 CFLAGS+=-D_FILE_OFFSET_BITS=64
 
@@ -57,7 +60,7 @@
 C=$(wildcard *.c)
 D=$(wildcard .deps/*.d)
 
-EXE=planetsplitter planetsplitter-slim router router-slim filedumper filedumper-slim tagmodifier
+EXE=planetsplitter planetsplitter-slim router router-slim filedumperx filedumper filedumper-slim tagmodifier
 
 ########
 
@@ -120,6 +123,14 @@
 
 ########
 
+FILEDUMPERX_OBJ=filedumperx.o \
+	        files.o logging.o
+
+filedumperx : $(FILEDUMPERX_OBJ)
+	$(LD) $(FILEDUMPERX_OBJ) -o $@ $(LDFLAGS)
+
+########
+
 FILEDUMPER_OBJ=filedumper.o \
 	       nodes.o segments.o ways.o relations.o types.o fakes.o \
                visualiser.o \
@@ -183,8 +194,9 @@
 ########
 
 clean:
+	rm -f *~
 	rm -f *.o
-	rm -f *~
+	rm -f core
 	rm -f *.gcda *.gcno *.gcov gmon.out
 	rm -f xmlparse.c
 	cd xml  && $(MAKE) clean
