=== src/test/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	done ;\
 	for script in $(S); do \
 	   echo "" ;\
-	   echo "Testing: $$script (slimm, no pruning) ... " ;\
+	   echo "Testing: $$script (slim, no pruning) ... " ;\
 	   if ./$$script slim; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
 	done ;\
 	echo "" ;\
@@ -89,8 +89,9 @@
 	rm -rf fat-pruned
 	rm -rf slim-pruned
 	rm -f *.log
+	rm -f *~
 	rm -f core
-	rm -f *~
+	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########
