=== src/xml/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Part of the Routino routing software.
 #
-# This file Copyright 2010-2011 Andrew M. Bishop
+# This file Copyright 2010-2012 Andrew M. Bishop
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as published by
@@ -112,8 +112,9 @@
 ########
 
 clean:
+	rm -f *~
 	rm -f *.o
-	rm -f *~
+	rm -f core
 	rm -f *.gcda *.gcno *.gcov gmon.out
 
 ########
