=== debian/changelog ===
routino (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Fri, 21 Dec 2012 21:35:08 +0100

routino (2.3.2-1) unstable; urgency=low

  * New upstream release
  * push standards version to 3.9.2 (no changes)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 16 Oct 2012 15:14:57 +0200

routino (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Sun, 19 Aug 2012 17:47:07 +0200
