=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thibaut Gridel <tgridel@free.fr>
 Uploaders: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), flex
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.routino.org/
 Vcs-Git: git://git.debian.org/pkg-grass/routino.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
