=== debian/watch ===
version=3
http://www.routino.org/download/routino-(.*)\.tgz
